#ifndef CORE_TESTS_H
#define CORE_TESTS_H

#include "core/Test.h"

[[noreturn]] void testInvalidAllocate(void);
[[noreturn]] void testInvalidReallocate(void);
void testBitArray(void);
void testBox(void);
void testBuffer(bool light);
void testComponents(void);
void testFrustum(void);
void testHashMap(bool light);
void testList(bool light);
void testMatrix(void);
void testPlane(void);
void testPostCanary(void);
void testPreCanary(void);
void testQuaternion(void);
void testQueue(void);
void testRandom(bool light);
void testReadLine(void);
void testSpinLock(void);
void testTest(void);
void testUtility(bool light);
void testVector(void);
void testView(void);

#endif
