#ifndef CORE_READ_LINE_H
#define CORE_READ_LINE_H

#include <stddef.h>

bool coreStartReadLine(void);
bool coreReadLine(char* buffer, size_t n);
void coreStopReadLine(void);

#ifdef IMPORT_CORE
#define startReadLine coreStartReadLine
#define readLine coreReadLine
#define stopReadLine coreStopReadLine
#endif

#endif
